package com.eactive.eai.rms.bat.manage.rule.schedule.vo;

import java.util.List;

public class SchedulerReportJobDetail {

	private String keyName;
	private String description;
	private String jobDataMap;
	private List<SchedulerReportTrigger> triggers;
	private boolean concurrentExectionDisallowed;
	private boolean persistJobDataAfterExecution;
	private boolean durable;

	public String getKeyName() {
		return keyName;
	}

	public void setKeyName(String keyName) {
		this.keyName = keyName;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getJobDataMap() {
		return jobDataMap;
	}

	public void setJobDataMap(String jobDataMap) {
		this.jobDataMap = jobDataMap;
	}

	public List<SchedulerReportTrigger> getTriggers() {
		return triggers;
	}

	public void setTriggers(List<SchedulerReportTrigger> triggers) {
		this.triggers = triggers;
	}

	public boolean isConcurrentExectionDisallowed() {
		return concurrentExectionDisallowed;
	}

	public void setConcurrentExectionDisallowed(boolean concurrentExectionDisallowed) {
		this.concurrentExectionDisallowed = concurrentExectionDisallowed;
	}

	public boolean isPersistJobDataAfterExecution() {
		return persistJobDataAfterExecution;
	}

	public void setPersistJobDataAfterExecution(boolean persistJobDataAfterExecution) {
		this.persistJobDataAfterExecution = persistJobDataAfterExecution;
	}

	public boolean isDurable() {
		return durable;
	}

	public void setDurable(boolean durable) {
		this.durable = durable;
	}

}
